# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLPreElement Class Reference

Preformatted text. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLPreElement:

[legend]
Collaboration diagram for DOM::HTMLPreElement:

[legend]
List of all members.

## Public Member Functions

| HTMLPreElement (const HTMLPreElement &other)
| HTMLPreElement (const Node &other)
HTMLPreElement & | operator= (const HTMLPreElement &other)
HTMLPreElement & | operator= (const Node &other)
long | width () const
void | setWidth (long)

## Protected Member Functions

| HTMLPreElement (HTMLPreElementImpl *impl)

## Detailed Description

Preformatted text.

See the PRE element definition in HTML 4.0.

Definition at line 299 of file html_block.h.

## Member Function Documentation

long HTMLPreElement::width | ( |  | ) | const

| Fixed width for content. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 334 of file html_block.cpp. References DOM::DOMString::toInt().

void HTMLPreElement::setWidth | ( | long |  | ) |

| see width Definition at line 341 of file html_block.cpp. References QString::sprintf().

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003